=== debian/changelog ===
ros-rolling-camera-info-manager (3.1.2-1focal) focal; urgency=high

  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-camera-info-manager (3.1.0-1focal) focal; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 29 Jun 2021 07:00:00 -0000

ros-rolling-camera-info-manager (3.0.0-1focal) focal; urgency=high

  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 May 2021 07:00:00 -0000

ros-rolling-camera-info-manager (2.3.0-1focal) focal; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Enable Windows build. (#159 <https://github.com/ros-perception/image_common/issues/159>)
  * Contributors: Martin Idel, Sean Yen

 -- Michael Carroll <michael@openrobotics.org>  Wed, 27 May 2020 07:00:00 -0000

ros-rolling-camera-info-manager (2.2.1-1focal) focal; urgency=high

  * Fix abort criteria for setCameraInfoService callback (#132 <https://github.com/ros-perception/image_common/issues/132>)
  * Contributors: Joseph Schornak

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.2.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.1.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.1.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.0.0-1focal) focal; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2018 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.13-1focal) focal; urgency=high

  * Fix the find_package(catkin) redundancy
  * Add a dependency between the test and the test executable
  * Add camera_calibration_parsers dependency to camera_info_manager
  * Contributors: Max Schettler, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 05 Nov 2017 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.12-1focal) focal; urgency=high

  * 1.11.11
  * update changelogs
  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Jan 2017 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.11-1focal) focal; urgency=high

  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Sat, 24 Sep 2016 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.10-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Jan 2016 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.9-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 17 Jan 2016 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.8-1focal) focal; urgency=high

  * fix compilation on Fedora, fixes #42 <https://github.com/ros-perception/image_common/issues/42>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Nov 2015 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.7-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Jul 2015 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.6-1focal) focal; urgency=high

  * simplify target_link_libraries
    That should fix #35 <https://github.com/ros-perception/image_common/issues/35>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Jul 2015 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.5-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 14 May 2015 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.4-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 21 Sep 2014 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.3-1focal) focal; urgency=high

  * Add public member function to manually set camera info (#19 <https://github.com/ros-perception/image_common/issues/19>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Contributors: Jack O'Quin, Jonathan Bohren, Lukas Bulwahn

 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 May 2014 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Feb 2014 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.1-1focal) focal; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn

 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 10:33:00 -0000

ros-rolling-camera-info-manager (1.11.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 20 Jul 2013 19:23:00 -0000

ros-rolling-camera-info-manager (1.10.5-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 10:34:00 -0000

ros-rolling-camera-info-manager (1.10.4-1focal) focal; urgency=high

  * add Jack as maintainer
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sat, 20 Jul 2013 18:42:00 -0000


